Debian Bug report logs - #395266
linux-image-2.6.18-1-k7: hostap driver no longer working since 2.6.16

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Michael R Head <burner@suppressingfire.org>

Date: Wed, 25 Oct 2006 22:03:07 UTC

Severity: normal

Fixed in version 2.6.20-1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#395266; Package linux-image-2.6.18-1-k7. Full text and rfc822 format available.

Acknowledgement sent to Michael R Head <burner@suppressingfire.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael R Head <burner@suppressingfire.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.18-1-k7: hostap driver no longer working since 2.6.16
Date: Wed, 25 Oct 2006 17:53:17 -0400
Package: linux-image-2.6.18-1-k7
Version: 2.6.18-3
Severity: normal

I haven't been able to use the hostap_plx driver in kernels later than 2.6.16. 
In 2.6.17-1-k7 and 2.6.18-1-k7 I have been getting this in my syslog:
Oct 18 19:54:33 suppressingfire kernel: hostap_plx: 0.4.4-kernel (Jouni Malinen <jkmaline@cc.hut.fi>)
Oct 18 19:54:33 suppressingfire kernel: PCI: Enabling device 0000:00:0a.0 (0000 -> 0003)
Oct 18 19:54:33 suppressingfire kernel: ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
Oct 18 19:54:33 suppressingfire kernel: PCI: setting IRQ 11 as level-triggered
Oct 18 19:54:33 suppressingfire kernel: ACPI: PCI Interrupt 0000:00:0a.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> 
IRQ 11
Oct 18 19:54:33 suppressingfire kernel: PLX9052 PCI/PCMCIA adapter: mem=0xd5800000, plx_io=0xa000, irq=11, 
pccard_io=0x9800
Oct 18 19:54:33 suppressingfire kernel: hostap_plx: CIS: 01 03 00 00 ff 17 ...
Oct 18 19:54:33 suppressingfire kernel: hostap_plx: invalid CIS data
Oct 18 19:54:33 suppressingfire kernel: Unknown PC Card CIS - not a Prism2/2.5 card?
Oct 18 19:54:33 suppressingfire kernel: ACPI: PCI interrupt for device 0000:00:0a.0 disabled

If I boot with the 2.6.16 kernel, it works fine. I've had to keep linux-image-2.6.16-2-k7 version 2.6.16-18 
installed in order to use my computer as an infrastructure/master mode access point.

mike

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages linux-image-2.6.18-1-k7 depends on:
ii  module-init-tools             3.2.2-3    tools for managing Linux kernel mo
ii  yaird [linux-initramfs-tool]  0.0.12-18  Yet Another mkInitRD

Versions of packages linux-image-2.6.18-1-k7 recommends:
ii  libc6-i686                   2.3.6.ds1-7 GNU C Library: Shared libraries [i

-- debconf information:
  linux-image-2.6.18-1-k7/postinst/bootloader-test-error-2.6.18-1-k7:
  linux-image-2.6.18-1-k7/preinst/bootloader-initrd-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/postinst/create-kimage-link-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/postinst/depmod-error-initrd-2.6.18-1-k7: false
  linux-image-2.6.18-1-k7/postinst/kimage-is-a-directory:
  linux-image-2.6.18-1-k7/preinst/initrd-2.6.18-1-k7:
  linux-image-2.6.18-1-k7/prerm/would-invalidate-boot-loader-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/preinst/lilo-has-ramdisk:
  linux-image-2.6.18-1-k7/preinst/abort-overwrite-2.6.18-1-k7:
  linux-image-2.6.18-1-k7/postinst/bootloader-error-2.6.18-1-k7:
  linux-image-2.6.18-1-k7/preinst/elilo-initrd-2.6.18-1-k7: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.18-1-k7/preinst/failed-to-move-modules-2.6.18-1-k7:
  linux-image-2.6.18-1-k7/postinst/old-system-map-link-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/preinst/abort-install-2.6.18-1-k7:
  linux-image-2.6.18-1-k7/preinst/already-running-this-2.6.18-1-k7:
  linux-image-2.6.18-1-k7/preinst/lilo-initrd-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/prerm/removing-running-kernel-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/postinst/old-dir-initrd-link-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/preinst/overwriting-modules-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/postinst/old-initrd-link-2.6.18-1-k7: true
  linux-image-2.6.18-1-k7/postinst/depmod-error-2.6.18-1-k7: false



Bug reassigned from package `linux-image-2.6.18-1-k7' to `linux-2.6'. Request was from "Michael R. Head" <burner@suppressingfire.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#395266; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Munir Nassar" <nassarmu@real-time.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 395266@bugs.debian.org (full text, mbox):

From: "Munir Nassar" <nassarmu@real-time.com>
To: 395266@bugs.debian.org
Subject: re: linux-image-2.6.18-1-k7: hostap driver no longer working since 2.6.16
Date: Thu, 15 Mar 2007 18:14:20 -0500
I would like to add that for me this is a release critical bug.
Firewalls that use the hostap_plx module will break if upgraded to
etch.

The following patch was posted on the hostap mailing list and is
reported to be working, i have not tested it.
http://lists.shmoo.com/pipermail/hostap/2006-October/014452.html



Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael R Head <burner@suppressingfire.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 395266-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 395266-done@bugs.debian.org
Subject: Re: linux-image-2.6.18-1-k7: hostap driver no longer working since 2.6.16
Date: Wed, 21 May 2008 17:46:02 +0200
Version: 2.6.20-1


fixed in commit 115e222d538e7838bffa0f76409acd9816a0ef32
"[PATCH] hostap_plx: fix CIS verification" landed upstream
in 2.6.19 but there was no .19 in debian uploaded thus marking
fixed for .20

etch and lenny have >= 2.6.24 too thanks to etch+half.

-- 
maks




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jun 2008 07:37:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:38:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.